# AWS CLI for cloud-to-cloud migration scenarios

To begin, you will need to install the AWS CLI and configure it using your AWS Access Key and Secret Key. You can follow the instructions located [here](/impossible-cloud-help/impossible-cloud-storage-guide/cli-user-guide/aws-cli-installation-instructions.md) for guidance.

Once you have configured the AWS CLI, you must create an additional profile specifically for your Impossible Cloud Storage account. You can find detailed instructions on how to do this [here](/impossible-cloud-help/impossible-cloud-storage-guide/cli-user-guide/aws-cli-configuration.md).

Transfer all files from your source AWS bucket to a local directory by running the following command:

```
aws s3 --profile=your_source_cloud_profile cp s3://<source_bucket>/ <local_directory> --recursive
```

Finally, to transfer all of your files from a local directory to your new target bucket, run the following command:

```
aws s3 --profile=impossiblecloud --endpoint-url=https://eu-central-2.storage.impossibleapi.net cp <local_directory>/ s3://<destination_bucket>/ --recursive
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.impossiblecloud.com/impossible-cloud-help/impossible-cloud-storage-guide/cli-user-guide/aws-cli-for-cloud-to-cloud-migration-scenarios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
